ERIC7_API(1)

NAME
eric7_api - eric7 API generator

SYNOPSIS
eric7_api [options] files... where files can be be either Python modules, package directories or ordinary directories.

DESCRIPTION
This manual page documents briefly the eric7_api command. This manual page was written for the Debian distribution because the original program does not have a manual page.

eric7_api scans Python source code to generate API descriptions files which are used to as tooltips and autocompletion suggestions by the QScintilla editor widget in eric7.

OPTIONS
These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below. For a complete description, see the Info files.

-b name or --base name
    Use the given name as the name of the base package.

-h or --help
    Show this help and exit.

-o filename or --output=filename
    Write the API information to the named file. A '%L' placeholder is replaced by the language of the API file (see --language).

--oldstyle
    Generate API files for QScintilla prior to 1.7.

-p or --private
    Include private methods and functions.

-R, -r or --recursive
    Perform a recursive search for Python files.

-t ext or --extension = ext
    Add the given extension to the list of file extensions. This option may be given multiple times.

-V or --version
    Show version information and exit.

-x directory or --exclude=directory
    Specify a directory basename to be excluded. This option may be repeated multiple times.

--exclude-file=pattern
    Specify a filename pattern of files to be excluded. This option may be repeated multiple times.

-l language or --language=language
    Generate an API file for the given programming language. Supported programming languages are:
        * Python
        * Python3
        * Ruby The default is 'Python'. This option may be repeated multiple times.

SEE ALSO
eric7_ide(1), eric7_api(1), eric7_browser(1), eric7_compare(1), eric7_configure(1), eric7_diff(1), eric7_doc(1), eric7_editor(1), eric7_hexeditor(1), eric7_iconeditor(1), eric7_plugininstall(1), eric7_pluginrepository(1), eric7_pluginuninstall(1), eric7_qregularexpression(1), eric7_re(1), eric7_shell(1), eric7_snap(1), eric7_sqlbrowser(1), eric7_testing(1), eric7_tray(1), eric7_trpreviewer(1), eric7_uipreviewer(1), eric7_virtualenv(1),

AUTHOR
eric7_api was written by Detlev Offenbach.

AUTHOR
This manual page was written by Torsten Marek <shlomme@gmx.net>, for the Debian project (but may be used by others).